import{s as de,n as ge,o as he}from"../chunks/scheduler.b108d059.js";import{S as ce,i as we,g as u,s,r as i,A as Te,h as d,f as n,c as a,j as oe,u as r,x as A,k as ue,y as ye,a as l,v as p,d as m,t as $,w as f}from"../chunks/index.008de539.js";import{C as Y}from"../chunks/CodeBlock.3968c746.js";import{H as _}from"../chunks/Heading.88bfeb84.js";function be(ae){let o,H,V,P,g,E,h,ie=`You can install <code>text-embeddings-inference</code> locally to run it on your own machine with a GPU.
To make sure that your hardware is supported, check out the <a href="supported_models">Supported models and hardware</a> page.`,N,c,R,w,re="Make sure you have CUDA and the NVIDIA drivers installed - we recommend using NVIDIA drivers with CUDA version 12.2 or higher.",F,T,pe="Add the NVIDIA binaries to your path:",W,y,X,b,j,I,me='[Install Rust]((<a href="https://rustup.rs/" rel="nofollow">https://rustup.rs/</a>) on your machine by run the following in your terminal, then following the instructions:',D,v,B,x,z,U,$e="This step  can take a while as we need to compile a lot of cuda kernels.",q,C,Q,J,O,M,K,k,ee,Z,te,L,fe="You can now launch Text Embeddings Inference on GPU with:",ne,S,le,G,se;return g=new _({props:{title:"Using TEI locally with GPU",local:"using-tei-locally-with-gpu",headingTag:"h1"}}),c=new _({props:{title:"Step 1: CUDA and NVIDIA drivers",local:"step-1-cuda-and-nvidia-drivers",headingTag:"h2"}}),y=new Y({props:{code:"ZXhwb3J0JTIwUEFUSCUzRCUyNFBBVEglM0ElMkZ1c3IlMkZsb2NhbCUyRmN1ZGElMkZiaW4=",highlighted:"export PATH=$PATH:/usr/local/cuda/bin",wrap:!1}}),b=new _({props:{title:"Step 2: Install Rust",local:"step-2-install-rust",headingTag:"h2"}}),v=new Y({props:{code:"Y3VybCUyMC0tcHJvdG8lMjAnJTNEaHR0cHMnJTIwLS10bHN2MS4yJTIwLXNTZiUyMGh0dHBzJTNBJTJGJTJGc2gucnVzdHVwLnJzJTIwJTdDJTIwc2g=",highlighted:"curl --proto &#x27;=https&#x27; --tlsv1.2 -sSf https://sh.rustup.rs | sh",wrap:!1}}),x=new _({props:{title:"Step 3: Install necessary packages",local:"step-3-install-necessary-packages",headingTag:"h2"}}),C=new _({props:{title:"For Turing GPUs (T4, RTX 2000 series … )",local:"for-turing-gpus-t4-rtx-2000-series--",headingTag:"h3"}}),J=new Y({props:{code:"Y2FyZ28lMjBpbnN0YWxsJTIwLS1wYXRoJTIwcm91dGVyJTIwLUYlMjBjYW5kbGUtY3VkYS10dXJpbmclMjAtLW5vLWRlZmF1bHQtZmVhdHVyZXM=",highlighted:"cargo install --path router -F candle-cuda-turing --no-default-features",wrap:!1}}),M=new _({props:{title:"For Ampere and Hopper",local:"for-ampere-and-hopper",headingTag:"h3"}}),k=new Y({props:{code:"Y2FyZ28lMjBpbnN0YWxsJTIwLS1wYXRoJTIwcm91dGVyJTIwLUYlMjBjYW5kbGUtY3VkYSUyMC0tbm8tZGVmYXVsdC1mZWF0dXJlcw==",highlighted:"cargo install --path router -F candle-cuda --no-default-features",wrap:!1}}),Z=new _({props:{title:"Step 4: Launch Text Embeddings Inference",local:"step-4-launch-text-embeddings-inference",headingTag:"h2"}}),S=new Y({props:{code:"bW9kZWwlM0RCQUFJJTJGYmdlLWxhcmdlLWVuLXYxLjUlMEFyZXZpc2lvbiUzRHJlZnMlMkZwciUyRjUlMEElMEF0ZXh0LWVtYmVkZGluZ3Mtcm91dGVyJTIwLS1tb2RlbC1pZCUyMCUyNG1vZGVsJTIwLS1yZXZpc2lvbiUyMCUyNHJldmlzaW9uJTIwLS1wb3J0JTIwODA4MA==",highlighted:`model=BAAI/bge-large-en-v1.5
revision=refs/pr/5

text-embeddings-router --model-id $model --revision $revision --port 8080`,wrap:!1}}),{c(){o=u("meta"),H=s(),V=u("p"),P=s(),i(g.$$.fragment),E=s(),h=u("p"),h.innerHTML=ie,N=s(),i(c.$$.fragment),R=s(),w=u("p"),w.textContent=re,F=s(),T=u("p"),T.textContent=pe,W=s(),i(y.$$.fragment),X=s(),i(b.$$.fragment),j=s(),I=u("p"),I.innerHTML=me,D=s(),i(v.$$.fragment),B=s(),i(x.$$.fragment),z=s(),U=u("p"),U.textContent=$e,q=s(),i(C.$$.fragment),Q=s(),i(J.$$.fragment),O=s(),i(M.$$.fragment),K=s(),i(k.$$.fragment),ee=s(),i(Z.$$.fragment),te=s(),L=u("p"),L.textContent=fe,ne=s(),i(S.$$.fragment),le=s(),G=u("p"),this.h()},l(e){const t=Te("svelte-u9bgzb",document.head);o=d(t,"META",{name:!0,content:!0}),t.forEach(n),H=a(e),V=d(e,"P",{}),oe(V).forEach(n),P=a(e),r(g.$$.fragment,e),E=a(e),h=d(e,"P",{"data-svelte-h":!0}),A(h)!=="svelte-ca5bh"&&(h.innerHTML=ie),N=a(e),r(c.$$.fragment,e),R=a(e),w=d(e,"P",{"data-svelte-h":!0}),A(w)!=="svelte-3gp0iq"&&(w.textContent=re),F=a(e),T=d(e,"P",{"data-svelte-h":!0}),A(T)!=="svelte-mwtwrj"&&(T.textContent=pe),W=a(e),r(y.$$.fragment,e),X=a(e),r(b.$$.fragment,e),j=a(e),I=d(e,"P",{"data-svelte-h":!0}),A(I)!=="svelte-l1axh4"&&(I.innerHTML=me),D=a(e),r(v.$$.fragment,e),B=a(e),r(x.$$.fragment,e),z=a(e),U=d(e,"P",{"data-svelte-h":!0}),A(U)!=="svelte-c8dcel"&&(U.textContent=$e),q=a(e),r(C.$$.fragment,e),Q=a(e),r(J.$$.fragment,e),O=a(e),r(M.$$.fragment,e),K=a(e),r(k.$$.fragment,e),ee=a(e),r(Z.$$.fragment,e),te=a(e),L=d(e,"P",{"data-svelte-h":!0}),A(L)!=="svelte-hbpzot"&&(L.textContent=fe),ne=a(e),r(S.$$.fragment,e),le=a(e),G=d(e,"P",{}),oe(G).forEach(n),this.h()},h(){ue(o,"name","hf:doc:metadata"),ue(o,"content",Ie)},m(e,t){ye(document.head,o),l(e,H,t),l(e,V,t),l(e,P,t),p(g,e,t),l(e,E,t),l(e,h,t),l(e,N,t),p(c,e,t),l(e,R,t),l(e,w,t),l(e,F,t),l(e,T,t),l(e,W,t),p(y,e,t),l(e,X,t),p(b,e,t),l(e,j,t),l(e,I,t),l(e,D,t),p(v,e,t),l(e,B,t),p(x,e,t),l(e,z,t),l(e,U,t),l(e,q,t),p(C,e,t),l(e,Q,t),p(J,e,t),l(e,O,t),p(M,e,t),l(e,K,t),p(k,e,t),l(e,ee,t),p(Z,e,t),l(e,te,t),l(e,L,t),l(e,ne,t),p(S,e,t),l(e,le,t),l(e,G,t),se=!0},p:ge,i(e){se||(m(g.$$.fragment,e),m(c.$$.fragment,e),m(y.$$.fragment,e),m(b.$$.fragment,e),m(v.$$.fragment,e),m(x.$$.fragment,e),m(C.$$.fragment,e),m(J.$$.fragment,e),m(M.$$.fragment,e),m(k.$$.fragment,e),m(Z.$$.fragment,e),m(S.$$.fragment,e),se=!0)},o(e){$(g.$$.fragment,e),$(c.$$.fragment,e),$(y.$$.fragment,e),$(b.$$.fragment,e),$(v.$$.fragment,e),$(x.$$.fragment,e),$(C.$$.fragment,e),$(J.$$.fragment,e),$(M.$$.fragment,e),$(k.$$.fragment,e),$(Z.$$.fragment,e),$(S.$$.fragment,e),se=!1},d(e){e&&(n(H),n(V),n(P),n(E),n(h),n(N),n(R),n(w),n(F),n(T),n(W),n(X),n(j),n(I),n(D),n(B),n(z),n(U),n(q),n(Q),n(O),n(K),n(ee),n(te),n(L),n(ne),n(le),n(G)),n(o),f(g,e),f(c,e),f(y,e),f(b,e),f(v,e),f(x,e),f(C,e),f(J,e),f(M,e),f(k,e),f(Z,e),f(S,e)}}}const Ie='{"title":"Using TEI locally with GPU","local":"using-tei-locally-with-gpu","sections":[{"title":"Step 1: CUDA and NVIDIA drivers","local":"step-1-cuda-and-nvidia-drivers","sections":[],"depth":2},{"title":"Step 2: Install Rust","local":"step-2-install-rust","sections":[],"depth":2},{"title":"Step 3: Install necessary packages","local":"step-3-install-necessary-packages","sections":[{"title":"For Turing GPUs (T4, RTX 2000 series … )","local":"for-turing-gpus-t4-rtx-2000-series--","sections":[],"depth":3},{"title":"For Ampere and Hopper","local":"for-ampere-and-hopper","sections":[],"depth":3}],"depth":2},{"title":"Step 4: Launch Text Embeddings Inference","local":"step-4-launch-text-embeddings-inference","sections":[],"depth":2}],"depth":1}';function ve(ae){return he(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Me extends ce{constructor(o){super(),we(this,o,ve,be,de,{})}}export{Me as component};
